import request from '@/utils/request'

// 登录方法
export function login(username, password, code, uuid) {
  const data = {
    username,
    password,
    code,
    uuid
  }
  return request({
    'url': '/rescue/login',
    headers: {
      isToken: false
    },
    'method': 'post',
    'data': data
  })
}

// 微信登录
export function wechatLogin(data) {
  return request({
    'url': '/weChat/wechatLogin',
    'method': 'post',
    'data':data
  })
}
// 获取用户详细信息
export function getInfo() {
  return request({
    'url': '/rescue/getInfo',
    'method': 'get'
  })
}

// 退出方法
export function logout() {
  return request({
    'url': '/rescue/logout',
    'method': 'post'
  })
}

// 获取验证码
export function getCodeImg() {
  return request({
    'url': '/rescue/captchaImage',
    headers: {
      isToken: false,
    },
    method: 'get',
    timeout: 20000
  })
}


// 获取验证码
export function loginApp(data) {
  return request({
    'url': '/rescue/loginQx',
    headers: {
      isToken: false
    },
    method: 'post',
    timeout: 20000,
	data
  })
}
export function loginAppuserName(data) {
  return request({
    'url': '/userClient/weChat/login',
    headers: {
      isToken: false
    },
    method: 'post',
    timeout: 20000,
	data
  })
}

// 使用手机号查询所在的租户获得租户编号
export function getTenantIdByPhone(phone) {
  return request({
    url: '/app-api/system/user/getListByPhone',
    method: 'get',
    params: {
      phone
    }
  })
}
